Skip to content

LicenseAggregation

License aggregation management.

Get license aggregation data for all versions by license ID

Request

Returns the license aggregation data for all versions by license ID. This includes block(s), nation, licensees and lists all prospects linked to the license: Each prospect listed includes information about geological risk together with their gross and net resources in the license.

Security
bearer and appkey
Path
idinteger, (int32)required

License ID

Headers
slb-contract-idstring^[a-zA-Z0-9_-]+$required

Delfi Contract ID

Example:My-contract-ID
curl -i -X GET \
  'https://eu-api.delfi.slb.com/spar/assessments/v1/licenseaggregation/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-contract-id: My-contract-ID'

Responses

OK

Body
Array [
idinteger, (int32)

The unique id

labelstring, <= 64 characters

The label

versioninteger, (int32)

The version of the license.

startDatestring or null, (date-time)

The date from which the license is valid.

endDatestring or null, (date-time)

The date the license expires.

effectiveDatestring or null, (date-time)

The date from which the current license data is valid. A license can change during its validity period.

licenseesArray of objects(AnalysisLicenseeForAggregationDto)

The licensees of this license.

crsIdinteger or null, (int32)

Coordinate reference system unique identifier (EPSG number, like: 4326).

innerRingsArray of strings

The list of holes in the polygon representation of this license (optional).

outerRingstring

The outer ring of the polygon. If there is a polygon data, this has to be filled.

historyArray of objects(HistoryWithRealNameDto)

The change history

folderDetailsobject(AggregatedFolderParentsDto)

A data transfer object (DTO) representing the collection of parent basin and play folders of an aggregated folder.

areProspectsUpToDateboolean

True if there are no prospects associated with older versions of this license.

prospectsArray of objects(ProspectAnalysisDataForLicenseDto)

Aggregated prospect of the segment/dry/discovery analysis which has this license.

blockNamesArray of strings

Contains the distinct list of block names associated with this license.

nationNamestring

The name of the nation to which this license belongs.

nationIdinteger or null, (int32)

The unique identifier of the nation to which this license belongs.

wktPolygonstringdeprecated

Store the license geometry in wkt polygon.

]
Response
[
  {
    "id": 0,
    "label": "string",
    "version": 0,
    "startDate": "2019-08-24T14:15:22Z",
    "endDate": "2019-08-24T14:15:22Z",
    "effectiveDate": "2019-08-24T14:15:22Z",
    "licensees": [
      {
        "analysisId": 0,
        "companyName": "string",
        "netShare": 0.1,
        "wiShare": 0.1,
        "wiExpShare": 0.1,
        "isOwner": true,
        "isOperator": true
      }
    ],
    "crsId": 0,
    "innerRings": [
      "string"
    ],
    "wktPolygon": "string",
    "outerRing": "string",
    "history": [
      {
        "modifiedDate": "2019-08-24T14:15:22Z",
        "userName": "string",
        "description": "string",
        "realName": "string"
      }
    ],
    "folderDetails": {
      "basins": [
        {
          "id": 0,
          "name": "string"
        }
      ],
      "plays": [
        {
          "id": 0,
          "name": "string"
        }
      ]
    },
    "areProspectsUpToDate": true,
    "prospects": [
      {
        "analysisId": 0,
        "analysisName": "string",
        "parentId": 0,
        "parentName": "string",
        "version": "string",
        "successDiscovery": 0.1,
        "aboveScreeningThreshold": 0.1,
        "wellPath": 0.1,
        "hcPhase": "string",
        "results": {
          "property1": 0.1,
          "property2": 0.1
        }
      }
    ],
    "blockNames": [
      "string"
    ],
    "nationName": "string",
    "nationId": 0
  }
]